Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
ngocduong12210119

Cách tính diện tích hình 3D

Các bài được khuyến nghị

Chào các bác trong Cadviet!

Em hỏi các bác 1 câu nhé , mông ác cao thủ trả lời giúp em với!

 

Em có 4 đường cong bất kì cắt nhau !

Em muốn tính diện tích miền tạo bởi các đường cong này thi phải làm thế nào ?

MOng thỉnh giáo !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Trước tiên bạn phải dùng lệnh TRIM hoặc FILLET với R=0 để 4 đường cong đó tạo thành miền khép kín, rồi thực hiện lệnh tắt như sau : PE /Enter - kích chuột vào một đường - hiện dòng lệnh [ Close/join...]: Nhập j/ Enter ... Tiếp theo là kích chuột vào bốn đường rồi Enter hai lần thì 4 đối tượng sẽ nhập thành 1 đối tượng. Sau đó bạn có thể biết được diện tích và chu vi của hình bao đó theo hai cách sau:

1: Chọn đối tượng / LI/ Enter/ ... hoặc ( LI/Enter/ chọn đối tượng/ Enter...)

2:Tools/Inquiry/Area - hiện dòng lệnh [objeet/ All/ Subtraet]: - Nhập O vào dòng này/ Enter rồi kích chuột vào đối tượng là xong.

:bigsmile:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ssg    1.088

1) Dùng lệnh Cad:

 

- Gõ lệnh bo (boundary), pick vào vùng cần tính -> 1 pline kín được tạo thành.

- Select nó, gõ lệnh mo sẽ thấy diện tích. Nếu không cần đến nó nữa thì bấm del.

 

2) Dùng lisp:

 

Gõ lệnh are, toàn bộ thao tác trên được thực hiện tự động.

 

(defun C:ARE( / p S Pe)
(setq p (getpoint "\nPick a internal point:"))
(command "boundary" p "" "Y")
(command "area" "o" (entlast))
(setq
S (getvar "area")
Pe (getvar "perimeter")
)
(command "erase" (entlast) "")
(alert (strcat "Area = " (rtos S) "\nPerimeter = " (rtos Pe)))
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

" Gõ lệnh bo (boundary), pick vào vùng cần tính -> 1 pline kín được tạo thành.

- Select nó, gõ lệnh mo sẽ thấy diện tích. Nếu không cần đến nó nữa thì bấm del." (SSg)

Cách làm của bạn SSG cực nhanh! (Thời gian tương đương với việc rót được nửa chén rượu... hạt mít) ! Thật đúng là :

Chẳng cần thiết phải đi xa

Cứ ngồi ở nhà cũng có ...sàng khôn...

: :bigsmile:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi đang cần gấp một việc sau :

Hiện tôi đang làm một chi tiết theo yêu cầu của bên B, có dạng hình nón cụt (đáy trên và đáy dưới // với nhau, nhưng ác nỗi đây là hình nón cụt xiên; tâm của đáy trên lệch nhiều so với tâm của đáy dưới. Việc khai triển phôi để dựng được hình nón cụt xiên này đơn giản không khó). Nhưng làm thế nào để kiểm tra được hình khai triển này đúng hay sai là điều mà tôi vẫn chưa làm được. Với hình nón cụt bình thường thì việc tính diện tích xung quanh là quá đơn giản. Nhưng với hình nón cụt xiên (đáy trên và đáy dưới// với nhau nhưng lại lệch tâm nhau); việc dựng được hình 3D đã khó, việc tính được diện tích xung quanh của nó là điều mà tôi đang suy nghĩ. Bạn nào thạo việc này, có Lisp hoặc có phần mềm giải quyết được việc này, hãy bầy cách cho tôi với, tôi đang cần gấp, xin chân trọng cảm ơn! (Làm thế nào để tính được diện tích xung quanh hình giống như hình nón cụt có chiều cao 2700 đường kính đáy trên 3200mm, lệch tâm so với đường kính đáy dưới 1250 mm, một góc 45 độ?)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Tôi đang cần gấp một việc sau :

Hiện tôi đang làm một chi tiết theo yêu cầu của bên B, có dạng hình nón cụt (đáy trên và đáy dưới // với nhau, nhưng ác nỗi đây là hình nón cụt xiên; tâm của đáy trên lệch nhiều so với tâm của đáy dưới. Việc khai triển phôi để dựng được hình nón cụt xiên này đơn giản không khó). Nhưng làm thế nào để kiểm tra được hình khai triển này đúng hay sai là điều mà tôi vẫn chưa làm được. Với hình nón cụt bình thường thì việc tính diện tích xung quanh là quá đơn giản. Nhưng với hình nón cụt xiên (đáy trên và đáy dưới// với nhau nhưng lại lệch tâm nhau); việc dựng được hình 3D đã khó, việc tính được diện tích xung quanh của nó là điều mà tôi đang suy nghĩ. Bạn nào thạo việc này, có Lisp hoặc có phần mềm giải quyết được việc này, hãy bầy cách cho tôi với, tôi đang cần gấp, xin trân trọng cảm ơn và hậu ta. (Làm thế nào để tính được diện tích xung quanh hình giống như hình nón cụt có chiều cao 2700 đường kính đáy trên 3200mm, lệch tâm so với đường kính đáy dưới 1250 mm, một góc 45 độ?)

Ksgia có thể upload 1 file CAD trong đó có chứa chiếu bằng, chiếu đứng và chiếu cạnh của hình đó được không?

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Gửi bạn :Nguyen Hoanh!, chẳng hiểu sao mà Upload mãi mới được

 

http://www.cadviet.com/upfiles/BON_CHUA_INOX_90_m3.rar

Lần sau ksgia nên nén dưới đuôi zip gửi đỡ bị hỏng hơn.

 

Diện tích mặt chóp cụt xiên của ksgia là: 23.6359021055m2

 

 

Trước mắt, chưa tìm ra công thức toán học của diện tích mặt nón dạng này, đành phải áp dụng cách: Biến đường tròn thành đa giác 1000 cạnh. Sau đó dựng chóp lăng trụ xiên rồi tính diện tích từng mặt, cộng lại.

 

Phương pháp làm như sau:

- Tạo 2 đối tượng circle nằm đúng vị trí 2 mặt đỉnh và đáy của chóp cụt (trong 3D).

- Gõ lệnh SURFTAB1 rồi nhập vào 1000.

- Dùng lệnh RULESURF rồi chọn 2 đối tượng này để tạo mặt nón cụt có 2 đường tựa là 2 circle này.

- Dùng lệnh EXPLODE để phá đối tượng vừa tạo thành 1000 đối tượng 3dface

- Dùng lệnh DTF (diện tích 3DFace) dưới đây để tính tổng diện tích của 1000 face trên.

(defun c:DTF (/ ssdt sodt index tongdt tt p1 p2 p3 p4 dtht1 dtht2)
 (defun trungdiem (p1 p2 / x1 y1 x2 y2)
   (setq x1 (car p1)
  y1 (cadr p1)
  z1 (caddr p1)
  x2 (car p2)
  y2 (cadr p2)
  z2 (caddr p2)
   )
   (and (equal x1 x2 1.0) (equal y1 y2 1.0) (equal z1 z2 1.0))
 )
 (defun tinhdt	(p1 p2 p3 / a b c p s)
   (setq a (distance p1 p2)
  b (distance p2 p3)
  c (distance p3 p1)
  p (/ (+ a b c) 2.0)
   )
   (sqrt (* p (- p a) (- p B ) (- p c)))
 )

 (setq	ssdt   (ssget '((0 . "3DFACE")))
sodt   (cond
	 (ssdt (sslength ssdt))
	 (t 0)
       )
index  0
tongdt 0
 )
 (repeat sodt
   (setq entdt	(ssname ssdt index)
  tt	(entget entdt)
  P1	(cdr (assoc 10 tt))
  P2	(cdr (assoc 11 tt))
  P3	(cdr (assoc 12 tt))
  P4	(cdr (assoc 13 tt))
   )
   (setq
     dtht1  (tinhdt p1 p2 p3)
     dtht2  (tinhdt p1 p3 p4)
     tongdt (+ tongdt dtht1 dtht2)
   )
   (setq index (1+ index))
 )
 (princ (strcat "\nTong dien tich la: " (rtos tongdt 2 2)))
 (princ)
)

 

-----------------

P/S: Khi vừa post xong bài này thì tìm ra công thức tính diện tích mặt nón xiên có đáy hình tròn thông qua diện tích hình chiếu bằng của nó:

Smặt nón = Sqrt((h0*r*pi)^2+(2*S0 - pi*r*r)^2)

Trong đó:

. h0 là khoảng cách đỉnh nón xuống mặt phẳng đáy

. r là bán kính hình tròn

. pi là số pi = 3.14.....

. S0 là diện tích của hình tạo ra khi chiếu mặt nón xuống mặt đáy. S0 có thể tính được bằng cách dựng hình rồi dùng lệnh list trong AutoCAD.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ssg    1.088
Tôi đang cần gấp một việc sau :

Hiện tôi đang làm một chi tiết theo yêu cầu của bên B, có dạng hình nón cụt (đáy trên và đáy dưới // với nhau, nhưng ác nỗi đây là hình nón cụt xiên; tâm của đáy trên lệch nhiều so với tâm của đáy dưới. Việc khai triển phôi để dựng được hình nón cụt xiên này đơn giản không khó). Nhưng làm thế nào để kiểm tra được hình khai triển này đúng hay sai là điều mà tôi vẫn chưa làm được. Với hình nón cụt bình thường thì việc tính diện tích xung quanh là quá đơn giản. Nhưng với hình nón cụt xiên (đáy trên và đáy dưới// với nhau nhưng lại lệch tâm nhau); việc dựng được hình 3D đã khó, việc tính được diện tích xung quanh của nó là điều mà tôi đang suy nghĩ. Bạn nào thạo việc này, có Lisp hoặc có phần mềm giải quyết được việc này, hãy bầy cách cho tôi với, tôi đang cần gấp, xin trân trọng cảm ơn và hậu ta. (Làm thế nào để tính được diện tích xung quanh hình giống như hình nón cụt có chiều cao 2700 đường kính đáy trên 3200mm, lệch tâm so với đường kính đáy dưới 1250 mm, một góc 45 độ?)

Bạn đã dùng Solid_Shape chưa? Nó ở đây lâu lắm rồi:

 

http://www.cadviet.com/forum/index.php?sho...amp;#entry12120

 

Bạn thử là mê ngay!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ssg    1.088
... hình nón cụt xiên (đáy trên và đáy dưới // với nhau nhưng lại lệch tâm nhau); việc dựng được hình 3D đã khó, việc tính được diện tích xung quanh của nó là điều mà tôi đang suy nghĩ

... chiều cao 2700 đường kính đáy trên 3200mm, lệch tâm so với đường kính đáy dưới 1250 mm, một góc 45 độ?

1) Trình SolidShape chuyên khai triển hình gò. Đây là chuyện khác, vì kết quả nhận được đã vượt xa yêu cầu của bạn. Đúng không?

 

2) Hình như bạn có dùng Cad2007? Chỉ với các lệnh của Cad vẫn dựng được khối 3D và tính được diện tích:

- Vẽ 2 đường tròn đáy đúng vị trí không gian của nó, dùng lệnh LOFT -> select vào 2 đường tròn, bạn có ngay khối 3D Solid như yêu cầu

- Dùng lệnh area cho khối solid vừa tạo, bạn có được diện tích toàn phần. Trừ diện tích 2 đáy -> diện tích xung quanh

- Cách khác, không phải trừ thủ công: Vẽ thêm 2 đường tròn đáy (ở đâu đó cũng được), hoặc dùng lệnh Section để tạo 2 Region đáy, move nó ra chỗ trống. Vẫn dùng lệnh Area nhưng với tuỳ chọn Add/Subtract:

Command: _area

Specify first corner point or [Object/Add/Subtract]: a

Specify first corner point or [Object/Subtract]: o

(ADD mode) Select objects: chọn khối solid

Area = 32966327.27, Perimeter = 0.00

Total area = 32966327.27

(ADD mode) Select objects:

Specify first corner point or [Object/Subtract]: s

Specify first corner point or [Object/Add]: o

(SUBTRACT mode) Select objects: chọn 1 đường tròn hoặc region đáy

Area = 8042477.19, Perimeter = 10053.10

Total area = 24923850.08

(SUBTRACT mode) Select objects: chọn đường tròn hoặc region còn lại

Area = 1227184.63, Perimeter = 3926.99

Total area = 23696665.45

(SUBTRACT mode) Select objects:

Specify first corner point or [Object/Add]: Enter thoát lệnh area

 

Kết quả cuối cùng: 23696665.45mm2 ~ 23.6967 m2

 

3) Đây là file *.dwg gồm khối solid theo kích thước của bạn và hình khai triển mặt bên do trình SolidShape xuất sang Cad. Diện tích tính toán của hình khai triển cũng xấp xỉ kết quả trên:

http://www.esnips.com/doc/14c94135-1ede-4c...85bb023/nonxien

 

Nếu không down được, thử với Link này (mệt mỏi vì cái vụ up và down quá!):

http://www.mediafire.com/?1elxk1dej9h

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×